# This is the main configuration file for Mohist.
# As you can see, there's tons to configure. Some options may impact gameplay, so use
# with caution, and make sure you know what each option does before configuring.
# For a reference for any variable inside this file, check out the Mohist wiki at
# https://wiki.mohistmc.com/
#
# If you need help with the configuration or have any questions related to Spigot,
# join us at the Discord or drop by our forums and leave a post.
#
# Discord: https://discord.gg/mohistmc
# Forums: https://mohistmc.com/
# Forums (CN): https://mohistmc.cn/

custom:
  max-bees-in-hive: 3
  no_villager: false
  entity_tp_end: true
  entity_tp_nether: true
  raid_no_emerald: false
  lava_speed:
    normal: 30
    nether: 10
deepseek:
  enable: false
  apikey: mohist
  model: deepseek-chat
  system: 你的名字叫小小墨，年龄18岁，是个可爱的女孩子!
  command: ai
  chatfromat: <小小墨> %s
server_mod_name: mohist
anvilfix:
  maximumrepaircost: 30
  enchantment_fix: false
  max_enchantment_level: 255
player_modlist_blacklist:
  enable: false
  list: []
server_modlist_whitelist:
  enable: false
  list: '[create_lt, mr_no_tooexpensive, betterdungeons, ftbessentials, supermartijn642configlib,
    mr_remove_terralithintromessage, hammerlib, mcwwindows, dew_drop_daily_weather,
    valhelsia_furniture, modernfix, yungsapi, createdieselgenerators, balm, chat_heads,
    exposure, betterfortresses, cloth_config, ctov, leavesbegone, lmft, corpse, torchmaster,
    handcrafted, bcc, explorify, w2pets, mcwtrpdoors, supermartijn642corelib, createmoredrillheads,
    yungsbridges, curiouslanterns, curios, yungsextras, toms_trading_network, framedblocks,
    ysns, constructionwand, indestructible, cfm, mcwfurnitures, betterendisland, jadeaddons,
    fallingtree, toms_storage, bettermineshafts, enchantinginfuser, sliceanddice,
    betterjungletemples, bellsandwhistles, doubledoors, fastload, rechiseled, lithostitched,
    attributefix, naturescompass, toadlib, design_decor, rechiseledcreate, snowundertrees,
    catalogue, puzzlesaccessapi, forge, minecraft, create_easy_structures, smoothchunk,
    voicechat, necronomicon, inventorytotem, spectrelib, createendertransmission,
    kotlinforforge, flywheel, ecologics, create_simple_ore_doubling, polymorph, almostunified,
    jei, mekanism, createcontraptionterminals, fastfurnace, oceansdelight, appleskin,
    lootr, mr_arm_erstands, puzzleslib, cosmeticarmorreworked, cristellib, tetra,
    tetranomicon, tetraextras, kuma_api, create_things_and_misc, betterwitchhuts,
    geckolib, ars_nouveau, knightsnmages, naturalist, betteroceanmonuments, connectivity,
    dynamiclights, sophisticatedcore, create_crush_everything, chatcolours, placebo,
    citadel, mixinextras, bookshelf, sophisticatedbackpacks, twigs, bots_lib, create_dragon_lib,
    mcwdoors, railways, mekanismgenerators, carryon, interiors, createcafe, create_connected,
    chipped, mcwbridges, farmersdelight, supplementaries, createframed, create_ultimate_factory,
    mekanismadditions, valhelsia_structures, chunky, mcwfences, mining_dimension,
    samurai_dynasty, protection_pixel, patchouli, suppsquared, collective, xercapaint,
    betterstrongholds, resourcefullib, mekanismtools, spartanweaponry, architectury,
    ftblibrary, ftbteams, ftbquests, aiimprovements, cupboard, framework, toomanyglyphs,
    servertabinfo, rhino, kubejs, chestlogger, amendments, sophisticatedstorage, createenchantablemachinery,
    copycats, justmobheads, hearth_and_home, create, createcasing, creategoggles,
    vintageimprovements, kubejs_create, create_dd, create_central_kitchen, create_mechanical_extruder,
    extendedgears, ars_creo, waystones, structory, fastsuite, clumps, comforts, configured,
    decorative_blocks, mr_veinminer, dungeoncrawl, beautifiedchatserver, betterdeserttemples,
    explorerscompass, terralith, azurelib, ftbchunks, ftbxmodcompat, toofast, bigcontraptions,
    enchdesc, radiantgear, moonlight, molten_metals, mixinsquared, jade, ae2, delightful,
    creativecore, justplayerheads, spartanshields, mutil, create_sa, fastbench, storagedrawers,
    ars_elemental, immersive_paintings, inv_view_forge, ferritecore, asynclocator,
    valhelsia_core, no_telemetry, create_enchantment_industry, createaddition, createaddoncompatibility]'
max-bees-in-hive: 3
enchantment-table-book-animation-tick: false
networkmanager:
  debug: false
  intercept: []
threadpriority:
  server_thread: 8
entity:
  clear:
    noitem:
      enable: false
      whitelist: []
      msg: '[Server] Cleaned up %size% monster'
    enable: false
    time: 1800
    countdown:
      msg: '[Server] §cItems will be cleared after %seconds% seconds！'
    item:
      enable: true
      whitelist: []
      msg: '[Server] Cleaned up %size% drop item'
      time: 1800
    monster:
      enable: false
      whitelist: []
      msg: '[Server] Cleaned up %size% monster'
      time: 1800
ban:
  item:
    enable: false
    list: []
  entity:
    enable: true
    list:
    - minecraft:drowned
  enchantment:
    enable: false
    list: []
motd:
  enable: true
  firstline: <RAINBOW1>§5Be CREATE ive</RAINBOW>
  secondline: ''
settings:
  messages:
    ping-command-output: §2%s's ping is %sms
events:
  fire_tick: false
  explosion: false
forge:
  bukkitpermissionshandler: true
worldmanage: true
velocity:
  enabled: false
  onlineMode: false
  secret: ''
recipe:
  warn: false
tpa:
  enable: false
  permissions: true
back:
  enable: false
  permissions: true
permissions:
  debug:
    console: false
    player: false
world:
  async_save: true
message:
  require_forge: This server has mods that require Forge to be installed on the client.
    Contact your server admin for more details.
mohist:
  show_logo: true
  watchdog_spigot: true
  watchdog_mohist: false
  lang: de_DE
  check_update: true
  check_update_auto_download: false
  libraries:
    check: true
  installation-finished: false
config-version: 1
keepinventory:
  global:
    enable: false
    inventory: true
    exp: true
  permission:
    inventory: mohist.keepinventory.inventory
    exp: mohist.keepinventory.exp
  world:
    inventory: false
    exp: false
